#!/bin/sh

set -e

VERSION=$1

if [ "x$VERSION" = 'x' ]
then
    echo 'version is empty, aborting'
    exit 1
fi

BRANCH=$(git rev-parse --abbrev-ref HEAD)

if [ "$BRANCH" != 'master' ]
then
    echo "no tags on branch $BRANCH, use master"
    exit 1
fi

DATE=$(date +%F)
MESSAGE="version $VERSION $DATE"

git tag -a v$VERSION -m "$MESSAGE"
