/*
  tests.c
  testcase loader
  J.J.Green 2014
*/

#include <stdlib.h>
#include <stdio.h>
#include <assert.h>

#include "tests_btrace.h"
#include "tests_colour.h"
#include "tests_cpt.h"
#include "tests_cptread.h"
#include "tests_cptwrite.h"
#include "tests_cptname.h"
#include "tests_css3write.h"
#include "tests_fill.h"
#include "tests_ggr.h"
#include "tests_gmtcol.h"
#include "tests_gpt.h"
#include "tests_gptwrite.h"
#include "tests_grd3.h"
#include "tests_grd3read.h"
#include "tests_grd3write.h"
#include "tests_grd5.h"
#include "tests_grd5read.h"
#include "tests_grd5string.h"
#include "tests_grd5type.h"
#include "tests_grdxsvg.h"
#include "tests_ident.h"
#include "tests_identtab.h"
#include "tests_pov.h"
#include "tests_povwrite.h"
#include "tests_qgs.h"
#include "tests_qgswrite.h"
#include "tests_sao.h"
#include "tests_saowrite.h"
#include "tests_stdcol.h"
#include "tests_svg.h"
#include "tests_svglist.h"
#include "tests_svgpreview.h"
#include "tests_svgread.h"
#include "tests_svgwrite.h"

#include "cunit_compat.h"

#define ENTRY(a, b) CU_Suite_Entry((a), NULL, NULL, (b))

#include <CUnit/CUnit.h>

static CU_SuiteInfo suites[] =
  {
    ENTRY("btrace", tests_btrace),
    ENTRY("colour", tests_colour),
    ENTRY("cpt", tests_cpt),
    ENTRY("cptread", tests_cptread),
    ENTRY("cptwrite", tests_cptwrite),
    ENTRY("cptname", tests_cptname),
    ENTRY("css3write", tests_css3write),
    ENTRY("fill", tests_fill),
    ENTRY("ggr", tests_ggr),
    ENTRY("gmtcol", tests_gmtcol),
    ENTRY("gpt", tests_gpt),
    ENTRY("gptwrite", tests_gptwrite),
    ENTRY("grd3", tests_grd3),
    ENTRY("grd3read", tests_grd3read),
    ENTRY("grd3write", tests_grd3write),
    ENTRY("grd5", tests_grd5),
    ENTRY("grd5read", tests_grd5read),
    ENTRY("grd5string", tests_grd5string),
    ENTRY("grd5type", tests_grd5type),
    ENTRY("grdxsvg", tests_grdxsvg),
    ENTRY("ident", tests_ident),
    ENTRY("identtab", tests_identtab),
    ENTRY("pov", tests_pov),
    ENTRY("povwrite", tests_povwrite),
    ENTRY("qgs", tests_qgs),
    ENTRY("qgswrite", tests_qgswrite),
    ENTRY("sao", tests_sao),
    ENTRY("saowrite", tests_saowrite),
    ENTRY("stdcol", tests_stdcol),
    ENTRY("svg", tests_svg),
    ENTRY("svglist", tests_svglist),
    ENTRY("svgpreview", tests_svgpreview),
    ENTRY("svgread", tests_svgread),
    ENTRY("svgwrite", tests_svgwrite),
    CU_SUITE_INFO_NULL,
  };

void tests_load(void)
{
  assert(NULL != CU_get_registry());
  assert(!CU_is_test_running());

  if (CU_register_suites(suites) != CUE_SUCCESS)
    {
      fprintf(stderr, "suite registration failed - %s\n",
	      CU_get_error_msg());
      exit(EXIT_FAILURE);
    }
}
